=== debian/changelog ===
ros-dashing-pluginlib (2.3.3-1bionic) bionic; urgency=high

  * Avoid build break for Visual Studio 2019 v16.3 (#164 <https://github.com/ros/pluginlib/issues/164>)
  * Contributors: Sean Yen

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 17 Oct 2019 04:00:00 -0000

ros-dashing-pluginlib (2.3.2-1bionic) bionic; urgency=high

  * Export tinyxml2 libraries downstream. (#162 <https://github.com/ros/pluginlib/issues/162>)
  * Contributors: Esteve Fernandez

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 30 Jul 2019 04:00:00 -0000

ros-dashing-pluginlib (2.3.1-1bionic) bionic; urgency=high

  * [ros2] Cast pointers to void * when using %p (#152 <https://github.com/ros/pluginlib/issues/152>)
  * Contributors: Shane Loretz

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 08 May 2019 04:00:00 -0000

ros-dashing-pluginlib (2.3.0-1bionic) bionic; urgency=high

  * Updated build to choose the appropriate library for experimental filesystem, based on the compiler and standard library. (#146 <https://github.com/ros/pluginlib/issues/146>)
  * Added stdc++fs as a target link library for clang compiler on linux. (#144 <https://github.com/ros/pluginlib/issues/144>)
  * Added Michael as maintainer (for build e-mails). (#137 <https://github.com/ros/pluginlib/issues/137>)
  * Contributors: Emerson Knapp, Michael Carroll, bhatsach

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Sun, 14 Apr 2019 04:00:00 -0000

ros-dashing-pluginlib (2.2.1-1bionic) bionic; urgency=high

  * Removed extraneous link lines. (#135 <https://github.com/ros/pluginlib/issues/135>)
  * Collapsed testing packages back into pluginlib package. (#134 <https://github.com/ros/pluginlib/issues/134>)
  * Contributors: Michael Carroll

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 13 Dec 2018 05:00:00 -0000

ros-dashing-pluginlib (2.2.0-1bionic) bionic; urgency=high

  * Reorganized tests into fixture and consumer packages. (#130 <https://github.com/ros/pluginlib/issues/130>)
  * Updated maintainer (#129 <https://github.com/ros/pluginlib/issues/129>)
  * Fixed plugin description installation to relative subdirectory (#122 <https://github.com/ros/pluginlib/issues/122>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 20 Nov 2018 05:00:00 -0000

ros-dashing-pluginlib (2.1.1-1bionic) bionic; urgency=high

  * export rcutils (#120 <https://github.com/ros/pluginlib/issues/120>)
  * Contributors: Karsten Knese

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 17 Jul 2018 04:00:00 -0000

ros-dashing-pluginlib (2.1.0-1bionic) bionic; urgency=high

  * Fix compile error with gcc 8.1.0 (#116 <https://github.com/ros/pluginlib/issues/116>)
  * remove extra semicolon to fix pedantic warning (#103 <https://github.com/ros/pluginlib/issues/103>)
  * use new class_loader header names (#99 <https://github.com/ros/pluginlib/issues/99>)
  * adjust library search to work on windows, warn about lib prefix (#97 <https://github.com/ros/pluginlib/issues/97>)
  * vs2015 doesnt support __has_include, VS2015 and 2017 have both <files… (#96 <https://github.com/ros/pluginlib/issues/96>)
  * move pluginlib in its own folder (port 83 to ros2 branch) (#95 <https://github.com/ros/pluginlib/issues/95>)
  * Contributors: Mikael Arguedas, William Woodall, jerry73204

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 21 Jun 2018 04:00:00 -0000

ros-dashing-pluginlib (1.11.0-1bionic) bionic; urgency=high

  * Switch to Tinyxml2 (#59 <https://github.com/ros/pluginlib/issues/59>)
  * do not use popen to solve catkin_path. (#49 <https://github.com/ros/pluginlib/issues/49>)
  * switch to package format 2 (#55 <https://github.com/ros/pluginlib/issues/55>)
  * remove trailing whitespaces (#54 <https://github.com/ros/pluginlib/issues/54>)
  * Contributors: Dmitry Rozhkov, Koji Terada, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 27 Jul 2017 04:00:00 -0000

ros-dashing-pluginlib (1.10.5-1bionic) bionic; urgency=high

  * Merge pull request #47 <https://github.com/ros/pluginlib/issues/47> from ros/fix_conversion
    fix size_t to int conversion
  * fix int conversion
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Mon, 27 Mar 2017 04:00:00 -0000

ros-dashing-pluginlib (1.10.4-1bionic) bionic; urgency=high

  * Merge pull request #42 <https://github.com/ros/pluginlib/issues/42> from delftrobotics-forks/unique-ptr
    Add std::unique_ptr API
  * Add unit test for unique_ptr API.
  * Simplify unit tests with ASSERT_THROW.
  * Add ClassLoader::createUniqueInstance.
  * Wrap long comment on createInstance and friend.
  * Throw exception if plugin.xml is broken (#41 <https://github.com/ros/pluginlib/issues/41>)
    * added test case for broken xml files with missing attributes of class tag
    * added checks if all needed attributes of the class tag are existing
    * removed comment and empty line
  * Contributors: Maarten de Vries, Mikael Arguedas, cwecht

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 20 Sep 2016 04:00:00 -0000

ros-dashing-pluginlib (1.10.3-1bionic) bionic; urgency=high

  * Merge pull request #40 <https://github.com/ros/pluginlib/issues/40> from ros/fix_warnings
    fix deprecated warnings in unit tests
  * fix deprecated warnings in unit tests
  * removed merge messages and redundant commits
  * Contributors: Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 22 Jun 2016 04:00:00 -0000

ros-dashing-pluginlib (1.10.2-1bionic) bionic; urgency=high

  * Remove Boost Software License from license tag #35 <https://github.com/ros/pluginlib/issues/35>
  * Throw an exception if ClassLoader can't be instantiated due to an invalid package name #34 <https://github.com/ros/pluginlib/issues/34>
  * Add ":" to split function within getName. #33 <https://github.com/ros/pluginlib/issues/33>

